Loading...
Searching...
No Matches
RDKit::Descriptors::DoubleCubicLatticeVolume Class Reference

`#include <DCLV.h>`

## Public Member Functions

| DoubleCubicLatticeVolume (const ROMol &mol, std::vector< double > radii, bool isProtein=false, bool includeLigand=true, double probeRadius=1.4, int confId=-1)
| DoubleCubicLatticeVolume (const ROMol &mol, bool isProtein=false, bool includeLigand=true, double probeRadius=1.4, int confId=-1)
double | getSurfaceArea ()
double | getPolarSurfaceArea (bool includeSandP, bool includeHs)
double | getPartialSurfaceArea (const boost::dynamic_bitset<> &incAtoms)
double | getAtomSurfaceArea (unsigned int atomIdx)
std::map< unsigned int, std::vector< RDGeom::Point3D > > & | getSurfacePoints ()
double | getVolume ()
double | getVDWVolume ()
double | getPolarVolume (bool includeSandP, bool includeHs)
double | getPartialVolume (const boost::dynamic_bitset<> &incAtoms)
double | getAtomVolume (unsigned int atomIdx, double solventRadius)
double | getCompactness ()
double | getPackingDensity ()

## Public Attributes

const ROMol & | mol
std::vector< double > | radii_
bool | isProtein = false
bool | includeLigand = true
double | probeRadius = 1.4
int | confId = -1
double | maxRadius = 1.7

## Detailed Description

Class for calculation of the Shrake and Rupley surface area and volume using the Double Cubic Lattice Method.

Frank Eisenhaber, Philip Lijnzaad, Patrick Argos, Chris Sander and Michael Scharf, "The Double Cubic Lattice Method: Efficient Approaches to Numerical Integration of Surface Area and Volume and to Dot Surface Contouring of Molecular Assemblies", Journal of Computational Chemistry, Vol. 16, No. 3, pp. 273-284, 1995.

Definition at line 37 of file DCLV.h.

## Constructor & Destructor Documentation

## DoubleCubicLatticeVolume() [1/2]

RDKit::Descriptors::DoubleCubicLatticeVolume::DoubleCubicLatticeVolume | ( | const ROMol & | mol,
|  | std::vector< double > | radii,
|  | bool | isProtein = false,
|  | bool | includeLigand = true,
|  | double | probeRadius = 1.4,
|  | int | confId = -1 )

Parameters

  mol | input molecule or protein
  radii | radii for atoms of input mol, empty for default values
  isProtein | flag to calculate burried surface area of a protein ligand complex [default=false, free ligand]
  includeLigand | flag to trigger inclusion of bound ligand in surface area and volume calculations where molecule is a protein [default=true]
  probeRadius | radius of the sphere representing the probe solvent atom [default=1.4]
  confId | conformer ID to consider [default=-1]

References confId, includeLigand, isProtein, mol, and probeRadius.

Referenced by DoubleCubicLatticeVolume().

## DoubleCubicLatticeVolume() [2/2]

RDKit::Descriptors::DoubleCubicLatticeVolume::DoubleCubicLatticeVolume | ( | const ROMol & | mol,
|  | bool | isProtein = false,
|  | bool | includeLigand = true,
|  | double | probeRadius = 1.4,
|  | int | confId = -1 )

inline

Definition at line 67 of file DCLV.h.

References confId, DoubleCubicLatticeVolume(), includeLigand, isProtein, mol, and probeRadius.

## Member Function Documentation

## getAtomSurfaceArea()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getAtomSurfaceArea | ( | unsigned int | atomIdx | ) |

Returns
  Solvent Accessible Surface Area for specified atom

## getAtomVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getAtomVolume | ( | unsigned int | atomIdx,
|  | double | solventRadius )

Returns
  Volume for specified atom

## getCompactness()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getCompactness | ( |  | ) |

Returns
  Compactness of the protein

## getPackingDensity()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getPackingDensity | ( |  | ) |

Returns
  Packing Density of the protein

## getPartialSurfaceArea()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getPartialSurfaceArea | ( | const boost::dynamic_bitset<> & | incAtoms | ) |

Returns
  Surface Area from specified atoms

## getPartialVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getPartialVolume | ( | const boost::dynamic_bitset<> & | incAtoms | ) |

Returns
  Volume from specified atoms

## getPolarSurfaceArea()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getPolarSurfaceArea | ( | bool | includeSandP,
|  | bool | includeHs )

Returns
  Polar Surface Area

## getPolarVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getPolarVolume | ( | bool | includeSandP,
|  | bool | includeHs )

Returns
  Polar Volume

## getSurfaceArea()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getSurfaceArea | ( |  | ) |

Returns
  Solvent Accessible Surface Area

## getSurfacePoints()

std::map< unsigned int, std::vector< RDGeom::Point3D > > & RDKit::Descriptors::DoubleCubicLatticeVolume::getSurfacePoints | ( |  | ) |

Returns
  Set of Points representing the surface

## getVDWVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getVDWVolume | ( |  | ) |

Returns
  van der Waals Volume

## getVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getVolume | ( |  | ) |

Returns
  Volume bound by probe sphere

## Member Data Documentation

## confId

int RDKit::Descriptors::DoubleCubicLatticeVolume::confId = -1

Definition at line 45 of file DCLV.h.

Referenced by DoubleCubicLatticeVolume(), and DoubleCubicLatticeVolume().

## includeLigand

bool RDKit::Descriptors::DoubleCubicLatticeVolume::includeLigand = true

Definition at line 43 of file DCLV.h.

Referenced by DoubleCubicLatticeVolume(), and DoubleCubicLatticeVolume().

## isProtein

bool RDKit::Descriptors::DoubleCubicLatticeVolume::isProtein = false

Definition at line 42 of file DCLV.h.

Referenced by DoubleCubicLatticeVolume(), and DoubleCubicLatticeVolume().

## maxRadius

double RDKit::Descriptors::DoubleCubicLatticeVolume::maxRadius = 1.7

Definition at line 46 of file DCLV.h.

## mol

const ROMol& RDKit::Descriptors::DoubleCubicLatticeVolume::mol

Definition at line 40 of file DCLV.h.

Referenced by DoubleCubicLatticeVolume(), and DoubleCubicLatticeVolume().

## probeRadius

double RDKit::Descriptors::DoubleCubicLatticeVolume::probeRadius = 1.4

Definition at line 44 of file DCLV.h.

Referenced by DoubleCubicLatticeVolume(), and DoubleCubicLatticeVolume().

## radii_

std::vector<double> RDKit::Descriptors::DoubleCubicLatticeVolume::radii_

Definition at line 41 of file DCLV.h.

The documentation for this class was generated from the following file:

- DCLV.h